Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.v2.lifecycle
Class PageController

`java.lang.Object
oracle.adf.controller.v2.lifecycle.Phases
oracle.adf.controller.v2.lifecycle.PageLifecycle
oracle.adf.controller.v2.lifecycle.PageController`

public class PageController
extends PageLifecycle

Implement the PageLifecycle functionality by delegating to the current PageLifecycle implementation stored in the PageLifecycle property of the `LifecycleContext`.

Since:
  10.1.3

Field Summary

Fields inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycle
`clazz, eventParam, events`

Constructor Summary
`PageController()`

Method Summary
`void` | `applyInputValues(LifecycleContext context)` Builds the list of events with their possible associated action binding from the request parameters.
`void` | `findForward(PageLifecycleContext context)` The path of the next web page is identified using the forwardPath property on the PageLifecycleContext.
`java.lang.reflect.Method` | `getEventMethod(PageLifecycleContext lcContext, java.lang.String eventName)`
`void` | `handleError(PageLifecycleContext context, java.lang.Exception ex)`
`boolean` | `hasErrors(PageLifecycleContext context)`
`void` | `initContext(LifecycleContext context)` During this phase the listener is able to initialize the `LifecycleContext` with additional information that will be persisted during the Lifecycle.
`void` | `initializeMethodParameters(PageLifecycleContext context, OperationBinding actionBinding)`
`boolean` | `invokeActionBinding(PageLifecycleContext context, java.lang.String event)`
`boolean` | `invokeEventMethod(PageLifecycleContext context, java.lang.String eventName)`
`void` | `metadataCommit(LifecycleContext context)` Used to commit Runtime changes to the metadata.
`void` | `prepareModel(LifecycleContext context)` Give the opportunity for the data model to prepare and initialize.
`void` | `prepareRender(LifecycleContext context)` Last phase before rendering a page.
`void` | `processComponentEvents(LifecycleContext context)` Process each event accumulated during the previous phases.
`void` | `processUpdateModel(LifecycleContext context)` Update the data model with new and validated input values.
`void` | `reportErrors(PageLifecycleContext context)`
`boolean` | `shouldAllowModelUpdate(PageLifecycleContext context)`
`void` | `validateInputValues(LifecycleContext context)` Validate input values.
`void` | `validateModelUpdates(LifecycleContext context)` Forces model-level validation to occur.

Methods inherited from class oracle.adf.controller.v2.lifecycle.PageLifecycle
`getEventMethodFromCache, getLifecycleContextClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageController

    public PageController()

Method Detail

### initContext

    public void initContext(LifecycleContext context)

  Description copied from class: `Phases`
  During this phase the listener is able to initialize the `LifecycleContext` with additional information that will be persisted during the Lifecycle.
  Specified by:
    `initContext` in class `Phases`

### prepareModel

    public void prepareModel(LifecycleContext context)

  Description copied from class: `Phases`
  Give the opportunity for the data model to prepare and initialize.
  Specified by:
    `prepareModel` in class `Phases`

### applyInputValues

    public void applyInputValues(LifecycleContext context)

  Description copied from class: `Phases`
  Builds the list of events with their possible associated action binding from the request parameters.
  Specified by:
    `applyInputValues` in class `Phases`

### validateInputValues

    public void validateInputValues(LifecycleContext context)

  Description copied from class: `Phases`
  Validate input values.
  Specified by:
    `validateInputValues` in class `Phases`

### processUpdateModel

    public void processUpdateModel(LifecycleContext context)

  Description copied from class: `Phases`
  Update the data model with new and validated input values.
  Specified by:
    `processUpdateModel` in class `Phases`

### validateModelUpdates

    public void validateModelUpdates(LifecycleContext context)

  Description copied from class: `Phases`
  Forces model-level validation to occur.
  Specified by:
    `validateModelUpdates` in class `Phases`

### processComponentEvents

    public void processComponentEvents(LifecycleContext context)

  Description copied from class: `Phases`
  Process each event accumulated during the previous phases.
  Specified by:
    `processComponentEvents` in class `Phases`

### metadataCommit

    public void metadataCommit(LifecycleContext context)

  Description copied from class: `Phases`
  Used to commit Runtime changes to the metadata. This phase is always called before prepareRender even in case of navigation.
  Specified by:
    `metadataCommit` in class `Phases`

### prepareRender

    public void prepareRender(LifecycleContext context)

  Description copied from class: `Phases`
  Last phase before rendering a page. This can be used to notify a binding that rendering is about to happen and allow them to optimize data preparation or processing before the rendering begins.

  During this phase the model is refreshed.

  Specified by:
    `prepareRender` in class `Phases`

### shouldAllowModelUpdate

    public boolean shouldAllowModelUpdate(PageLifecycleContext context)

  See Also:
    `JUCtrlActionBinding.ignoreUpdates()`

### hasErrors

    public boolean hasErrors(PageLifecycleContext context)

### handleError

    public void handleError(PageLifecycleContext context,
                            java.lang.Exception ex)

### reportErrors

    public void reportErrors(PageLifecycleContext context)

### getEventMethod

    public java.lang.reflect.Method getEventMethod(PageLifecycleContext lcContext,
                                                   java.lang.String eventName)

  Parameters:
    `lcContext` - the PageLifecycle context
    `eventName` - name of the event
  Returns:
    the Method object for this event if exist

### invokeEventMethod

    public boolean invokeEventMethod(PageLifecycleContext context,
                                     java.lang.String eventName)
                              throws java.lang.Exception

  Parameters:
    `context` - the PageLifecycle context
    `eventName` - name of the event
  Returns:
    the Method object for this event if exist
  Throws:
    `java.lang.Exception`

### invokeActionBinding

    public boolean invokeActionBinding(PageLifecycleContext context,
                                       java.lang.String event)

  Parameters:
    `context` - the lifecycle context
    `event` - the name of the event
  Returns:
    `true` if an action binding is associated with the event

### findForward

    public void findForward(PageLifecycleContext context)
                     throws java.lang.Exception

  Description copied from class: `PageLifecycle`
  The path of the next web page is identified using the forwardPath property on the PageLifecycleContext. If the redirect property on the PageLifecycleContext is true, the response will be redirected to the specified path. Otherwise, the request will be forwarded to the specified path.
  Specified by:
    `findForward` in class `PageLifecycle`
  Throws:
    `java.lang.Exception`

### initializeMethodParameters

    public void initializeMethodParameters(PageLifecycleContext context,
                                           OperationBinding actionBinding)

  Parameters:
    `context` - the PageLifecycle context
    `actionBinding` - the action binding object to initialize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.